Subject: Re: bug#54173: 28.0.91; Training wheels for query-replace

From: Augusto Stoffel <[email-masked]>
Date: Sun, 27 Feb 2022 14:46:18 +0100

On Sun, 27 Feb 2022 at 14:10, Lars Ingebrigtsen <[email-masked]> wrote:

> Augusto Stoffel <[email-masked]> writes:
>
>> -    (define-key map "y" 'act)
>> -    (define-key map "n" 'skip)
>>      (define-key map "Y" 'act)
>> +    (define-key map "y" 'act)
>>      (define-key map "N" 'skip)
>> -    (define-key map "e" 'edit-replacement)
>> +    (define-key map "n" 'skip)
>>      (define-key map "E" 'edit-replacement)
>> +    (define-key map "e" 'edit-replacement)
>
> This seems unrelated, and just moves bindings around?

This is so that 'substitute-command-keys' pick up the right key for each
command, that is, the lower cased ones.

>>> >   (‘y’/‘n’, ‘.’ replace & exit, ‘^’ back up, ‘?’ help)
>>> 
>>> I find this better than the status quo.  I've attached the patch.
>>
>> Thanks.  Let's wait a bit to let others chime in and express their
>> opinions.
>
> I'm not sure I understood the patch.  Is the proposal to append all that
> to "Query replacing foo with bar"?  It'll make prompts commonly be
> longer than a line, and it's pretty noisy, so if that's the proposal,
> I'm against it.

Well, yes, that's the proposal...

At least now that string is a defvar that you can set to nil if you want
to save some columns :-)

> The help is on `?', so I don't see the point, either.

I think it's just nice to have a constant reminder of ‘.’ and ‘^’.  Of
course I'll remember them after all this discussion, but until now I
could never quite recall them when the occasion arose.